package com.bonus.canteen.core.pay.channel.bnj.po;

public class BNJFile {
   private String channelNo;
   private String storeNo;
   private String deviceNo;
   private String tranNo;
   private String tranTime;
   private String oriTranNo;
   private String oriTranTime;
   private String channelTranNo;
   private String tranAmount;
   private String channelFee;
   private String tranType;
   private String settleTime;
   private String currency;
   private String status;
   private String respCode;
   private String respMsg;

   public String getChannelNo() {
      return this.channelNo;
   }

   public String getStoreNo() {
      return this.storeNo;
   }

   public String getDeviceNo() {
      return this.deviceNo;
   }

   public String getTranNo() {
      return this.tranNo;
   }

   public String getTranTime() {
      return this.tranTime;
   }

   public String getOriTranNo() {
      return this.oriTranNo;
   }

   public String getOriTranTime() {
      return this.oriTranTime;
   }

   public String getChannelTranNo() {
      return this.channelTranNo;
   }

   public String getTranAmount() {
      return this.tranAmount;
   }

   public String getChannelFee() {
      return this.channelFee;
   }

   public String getTranType() {
      return this.tranType;
   }

   public String getSettleTime() {
      return this.settleTime;
   }

   public String getCurrency() {
      return this.currency;
   }

   public String getStatus() {
      return this.status;
   }

   public String getRespCode() {
      return this.respCode;
   }

   public String getRespMsg() {
      return this.respMsg;
   }

   public void setChannelNo(final String channelNo) {
      this.channelNo = channelNo;
   }

   public void setStoreNo(final String storeNo) {
      this.storeNo = storeNo;
   }

   public void setDeviceNo(final String deviceNo) {
      this.deviceNo = deviceNo;
   }

   public void setTranNo(final String tranNo) {
      this.tranNo = tranNo;
   }

   public void setTranTime(final String tranTime) {
      this.tranTime = tranTime;
   }

   public void setOriTranNo(final String oriTranNo) {
      this.oriTranNo = oriTranNo;
   }

   public void setOriTranTime(final String oriTranTime) {
      this.oriTranTime = oriTranTime;
   }

   public void setChannelTranNo(final String channelTranNo) {
      this.channelTranNo = channelTranNo;
   }

   public void setTranAmount(final String tranAmount) {
      this.tranAmount = tranAmount;
   }

   public void setChannelFee(final String channelFee) {
      this.channelFee = channelFee;
   }

   public void setTranType(final String tranType) {
      this.tranType = tranType;
   }

   public void setSettleTime(final String settleTime) {
      this.settleTime = settleTime;
   }

   public void setCurrency(final String currency) {
      this.currency = currency;
   }

   public void setStatus(final String status) {
      this.status = status;
   }

   public void setRespCode(final String respCode) {
      this.respCode = respCode;
   }

   public void setRespMsg(final String respMsg) {
      this.respMsg = respMsg;
   }

}
